# $Revision: 1.13 $, $Date: 2005/05/28 21:08:31 $
%define		pname	libglade-java
Summary:	Java interface for libglade
Summary(pl):	Wrapper Java dla libglade
Name:		java-libglade
Version:	2.10.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{pname}/2.10/%{pname}-%{version}.tar.bz2
# Source0-md5:	edf7e9e113afa9f002f048d62c87920b
URL:		http://java-gnome.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-java >= 5:3.3.2
BuildRequires:	gtk+2-devel >= 2:2.4.4
BuildRequires:	java-gtk-devel >= 2.6.0
BuildRequires:	java-libgnome-devel >= 2.10.1
BuildRequires:	libgcj-devel >= 5:3.3.2
BuildRequires:	libglade2-devel >= 1:2.4.1
BuildRequires:	libgnomeui-devel >= 2.8.0
BuildRequires:	pkgconfig
Obsoletes:	libglade-java
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Java interface for libglade.

%description -l pl
Wrapper Java dla libglade.

%package devel
Summary:	Header files for java-libglade library
Summary(pl):	Pliki nagwkowe biblioteki java-libglade
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libglade-java-devel

%description devel
Header files for java-libglade library.

%description devel -l pl
Pliki nagwkowe biblioteki java-libglade.

%prep
%setup -q -n %{pname}-%{version}

%build
%{__aclocal} -I `pkg-config --variable macro_dir gtk2-java`
%{__autoconf}
%configure \
	GCJ_JAR=`echo %{_datadir}/java/libgcj*.jar` \
	--without-javadocs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_libdir},%{_pkgconfigdir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_docdir}/%{pname}-%{version}/examples \
        $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/examples/*.in
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{pname}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_libdir}/lib*-2.10.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgladejava.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_javadir}/*
%{_pkgconfigdir}/*.pc
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-libglade.spec,v $
Revision 1.13  2005/05/28 21:08:31  freetz
- kill unpackaged files

Revision 1.12  2005/05/10 20:58:02  freetz
- cosmetics

Revision 1.11  2005/05/10 20:55:42  freetz
- 2.10.1, more %%files, updated BRs, no javadocs build by default, cleanup
  buildtime files in examples dir

Revision 1.10  2004/12/26 20:24:45  grzegol
- updated to 2.8.2.2

Revision 1.9  2004/12/14 16:59:57  baggins
- DON'T hardcode java paths!

Revision 1.8  2004/11/29 16:38:25  grzegol
- updated to 2.8.2

Revision 1.7  2004/11/03 19:12:28  paladine
- formatting

Revision 1.6  2004/11/02 00:58:15  grzegol
- merged from DEVEL and updated to 2.8.1
- removed outdated DESTDIR patch

Revision 1.5.2.3  2004/07/21 14:18:16  grzegol
- use %%{_javadir}

Revision 1.5.2.2  2004/07/21 13:56:52  grzegol
- updated to 2.4.3
- added DESTDIR patch
- removed outdated configure and version_vars patches
- added epoch to gcc BRs
- cleanups

Revision 1.5.2.1  2004/07/04 21:59:55  grzegol
- updated to 2.4.2

Revision 1.5  2004/04/13 13:24:06  grzegol
- updated to 2.4.0

Revision 1.4  2004/04/07 16:42:44  grzegol
- updated to 2.3.7

Revision 1.3  2004/03/07 19:15:34  grzegol
- updated to 2.3.6
- removed outdated gcjjar patch

Revision 1.2  2004/02/21 21:24:40  grzegol
- added gcjjar patch (allow passing GCJ_JAR to configure)
- pass GCJ_JAR to configure

Revision 1.1  2004/02/19 22:10:40  grzegol
- moved from libglade-java.spec

Revision 1.2  2004/02/17 20:40:13  grzegol
- updated to 2.3.5
- removed outdated libgcj patch
- added BR: slocate

Revision 1.1  2004/02/08 22:03:49  grzegol
- new

